Get all APIs

Deprecated
View as Markdown
Gets information about all APIs in a workspace.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Headers

AcceptenumRequired

The application/vnd.api.v10+json request header required to use the endpoint.

Allowed values:

Query parameters

workspaceIdstringRequired
The workspace's ID.
createdByintegerOptional
Return only results created by the given user ID.
cursorstringOptional

The pointer to the first record of the set of paginated results. To view the next response, use the nextCursor value for this parameter.

descriptionstringOptional

Return only APIs whose description includes the given value. Matching is not case-sensitive.

limitintegerOptionalDefaults to 10
The maximum number of rows to return in the response.

Response

Successful Response
apislist of objects
metaobject
The response's meta information for paginated results.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error